function Nh=getNbOfNodesByElt(order,m,varargin)
  p = inputParser; 
  p.addParamValue('type','simplex', @(x) ismember(lower(x),{'simplex','orthotope'}));
  p.parse(varargin{:});
  R=p.Results;
  if strcmp(lower(R.type),'simplex')
    Nh=factorial(order+m')./(factorial(order).*factorial(m')); % 
  else
    Nh=(order+1).^(m');
  end
end
