function u=feval(fun,q)
  assert(fc_tools.utils.isfunhandle(fun))
  dim=size(q,1);
  assert( ismember(nargin(fun),[1,dim]) ,'Number of function arguments must be 1 or %d',dim)
  u=EvalOnVertices(fun,q);
end

function u=EvalOnVertices(fun,q)
  % return a nq-by-1 array
  if nargin(fun)==1
    u=fun(q).';
  else 
    dim=size(q,1);
    u=eval(['fun(q(1,:)',sprintf(',q(%d,:)',2:dim),').'';']) ;
  end
  if length(u)==1, u=u*ones(size(q,2),1);end
end
